Name:          libqxp
Version:       0.0.2
Release:       2mamba
Summary:       A library and a set of tools for reading and converting QuarkXPress file format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://dev-www.libreoffice.org/src/
Source:        https://dev-www.libreoffice.org/src/libqxp-%{version}.tar.xz
License:       MPL 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: librevenge-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libicu-devel >= 77.1

%description
libqxp is a library and a set of tools for reading and converting QuarkXPress file format. It supports versions 3.1-4.1 currently.
libqxp requires boost, icu and librevenge to build.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libqxp-0.0.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libqxp-0.0
%dir %{_includedir}/libqxp-0.0/libqxp
%{_includedir}/libqxp-0.0/libqxp/*
%{_libdir}/libqxp-0.0.so
%{_libdir}/pkgconfig/libqxp-0.0.pc
%dir %{_datadir}/doc/libqxp
%{_datadir}/doc/libqxp/html
%doc ChangeLog NEWS README TODO

%files tools
%defattr(-,root,root)
%{_bindir}/qxp2raw
%{_bindir}/qxp2svg
%{_bindir}/qxp2text

%changelog
* Sun Mar 16 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.2-2mamba
- rebuilt with icu 77.1

* Sun Mar 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.2-1mamba
- update to 0.0.2

* Tue May 01 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.1-1mamba
- package created using the webbuild interface
